StandardPersisterClassResolver (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.persister.internal
Class StandardPersisterClassResolver

    java.lang.Object
      org.hibernate.persister.internal.StandardPersisterClassResolver

All Implemented Interfaces:
  Serializable, PersisterClassResolver, Service

    public class StandardPersisterClassResolver

extends Object
implements PersisterClassResolver

See Also:
  Serialized Form

Constructor Summary
`StandardPersisterClassResolver()`

Method Summary
`Class<? extends CollectionPersister>` | `getCollectionPersisterClass(Collection metadata)` Returns the collection persister class for a given collection role or null if the collection persister class should be the default.
`Class<? extends CollectionPersister>` | `getCollectionPersisterClass(PluralAttributeBinding metadata)` Returns the collection persister class for a given collection role or null if the collection persister class should be the default.
`Class<? extends EntityPersister>` | `getEntityPersisterClass(EntityBinding metadata)` Returns the entity persister class for a given entityName or null if the entity persister class should be the default.
`Class<? extends EntityPersister>` | `getEntityPersisterClass(PersistentClass metadata)` Returns the entity persister class for a given entityName or null if the entity persister class should be the default.
`Class<? extends EntityPersister>` | `joinedSubclassEntityPersister()`
`Class<? extends EntityPersister>` | `singleTableEntityPersister()`
`Class<? extends EntityPersister>` | `unionSubclassEntityPersister()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardPersisterClassResolver

    public StandardPersisterClassResolver()

Method Detail

### getEntityPersisterClass

    public Class<? extends EntityPersister> getEntityPersisterClass(EntityBinding metadata)

  Description copied from interface: `PersisterClassResolver`
  Returns the entity persister class for a given entityName or null if the entity persister class should be the default.

  Specified by:
    `getEntityPersisterClass` in interface `PersisterClassResolver`
  Parameters:
    `metadata` - The entity metadata
  Returns:
    The entity persister class to use

### getEntityPersisterClass

    public Class<? extends EntityPersister> getEntityPersisterClass(PersistentClass metadata)

  Description copied from interface: `PersisterClassResolver`
  Returns the entity persister class for a given entityName or null if the entity persister class should be the default.

  Specified by:
    `getEntityPersisterClass` in interface `PersisterClassResolver`
  Parameters:
    `metadata` - The entity metadata
  Returns:
    The entity persister class to use

### singleTableEntityPersister

    public Class<? extends EntityPersister> singleTableEntityPersister()

### joinedSubclassEntityPersister

    public Class<? extends EntityPersister> joinedSubclassEntityPersister()

### unionSubclassEntityPersister

    public Class<? extends EntityPersister> unionSubclassEntityPersister()

### getCollectionPersisterClass

    public Class<? extends CollectionPersister> getCollectionPersisterClass(Collection metadata)

  Description copied from interface: `PersisterClassResolver`
  Returns the collection persister class for a given collection role or null if the collection persister class should be the default.

  Specified by:
    `getCollectionPersisterClass` in interface `PersisterClassResolver`
  Parameters:
    `metadata` - The collection metadata
  Returns:
    The collection persister class to use

### getCollectionPersisterClass

    public Class<? extends CollectionPersister> getCollectionPersisterClass(PluralAttributeBinding metadata)

  Description copied from interface: `PersisterClassResolver`
  Returns the collection persister class for a given collection role or null if the collection persister class should be the default.

  Specified by:
    `getCollectionPersisterClass` in interface `PersisterClassResolver`
  Parameters:
    `metadata` - The collection metadata
  Returns:
    The collection persister class to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.